Part Tube: Difference between revisions

From FreeCAD Documentation
m (Insert Example section.)
mNo edit summary
Line 67: Line 67:


<!--T:13-->
<!--T:13-->
A Part Tube can be created using the following code from the {{Incode|CommandShapes.py}} file:
A Part Tube can be created with the following code from the {{Incode|CommandShapes.py}} file:


</translate>
</translate>

Revision as of 18:53, 18 February 2022

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part Tube

Menu location
Part → Primitives → Create tube
Workbenches
Part
Default shortcut
None
Introduced in version
0.19
See also
Part CreatePrimitives

Description

The Tube command inserts a tube into the active document. The tube is geometrically treated as a cut of a smaller cylinder into a larger one. By default, the command will insert a 10 mm high tube with an outer radius of 5 mm and an inner radius of 2 mm. These parameters can be modified after the object has been added.

Screenshot of a Part Tube

Usage

To create a tube either:

  • press the Tube button in the toolbar
  • use the menu Part → Primitives → Create tube

To edit the tube:

  • either
    • select it in the tree and double-click on it
    • edit the parameters in the appearing dialog
  • or use the the property editor to edit the parameters

Example

Part Tube scripting example.

A Part Tube object with the values of the bottom scripting example are shown here.


Properties

  • Via the Property Editor:
    • DataPlacement: Specifies the orientation and position of the Box in the 3D space. See Placement. The reference point is the left front lower corner of the box.
    • DataLabel: The Label is the name given to the operation. This name can be changed at your convenience.

Tube

  • DataHeight (Length): Sets the height (default is 10 mm).
  • DataInner Radius (Length): Set the inner radius (default is 2 mm).
  • DataOuter Radius (Length): Set the outer radius (default is 5 mm).

Scripting

A Part Tube can be created with the following code from the CommandShapes.py file:

from BasicShapes import Shapes
from BasicShapes import ViewProviderShapes

tube = FreeCAD.ActiveDocument.addObject("Part::FeaturePython", "myTube")

Shapes.TubeFeature(tube)
ViewProviderShapes.ViewProviderTube(tube.ViewObject)
  • Where myTube is the name for the object. The name must be unique for the entire document.
  • The function returns the newly created object.

You have to recompute the current document with

App.activeDocument().recompute(None,True,True)

to see the tube.

The Label is the user editable name for the object. It can be easily changed by

tube.Label = "new myTubeName"

You can access and modify attributes of the box object. For example, you may wish to modify the length, width and height parameters.

tube.Height = 20
tubeInnerRadius = 2
tube.OuterRadius = 3

You can change its placement with:

tube.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(60, 60, 30))